Subject: bug#70440: [PATCH] Use -P switch when calling 'python-interpreter'

From: Augusto Stoffel <[email-masked]>
Date: Thu, 18 Apr 2024 17:52:21 +0200

On Fri, 19 Apr 2024 at 00:25, kobarity wrote:

> The -P switch is new, introduced in CPython 3.11, so I don't think it
> can be added unconditionally.  Furthermore, `python-interpreter' may
> not be CPython.  Isn't it enough to customize
> `python-interpreter-args'?

Ah, too bad.  So let's send that option via environment variables.  I'll
make a new patch when I get the chance.

This patch is a quite important fix and shouldn't be left to a
customization.  Without it, you need to trust the .py files in the
current directory.  Moreover any name clashes with the built-in library
module names can crash the commands (just happened to me).